From mst@mellanox.co.il Sun Jul 31 09:09:09 2005
Date: Sun, 31 Jul 2005 11:51:45 +0300
From: "Michael S. Tsirkin" <mst@mellanox.co.il>
To: Greg KH <gregkh@suse.de>
Cc: Ian Pratt <m+Ian.Pratt@cl.cam.ac.uk>, Roland Dreier <rolandd@cisco.com>, <mj@ucw.cz>
Subject: arch/386/pci: remap_pfn_range -> io_remap_pfn_range
Message-ID: <20050731085145.GE14384@mellanox.co.il>

Convert i386/pci to use io_remap_pfn_range instead of remap_pfn_range.
This is good for Xen which reuses i386/pci/i386.c for domain 0 code.

Signed-off-by: Michael S. Tsirkin <mst@mellanox.co.il>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 arch/i386/pci/i386.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

--- gregkh-2.6.orig/arch/i386/pci/i386.c	2005-09-08 09:07:02.000000000 -0700
+++ gregkh-2.6/arch/i386/pci/i386.c	2005-09-08 09:19:54.000000000 -0700
@@ -283,9 +283,9 @@ int pci_mmap_page_range(struct pci_dev *
 	/* Write-combine setting is ignored, it is changed via the mtrr
 	 * interfaces on this platform.
 	 */
-	if (remap_pfn_range(vma, vma->vm_start, vma->vm_pgoff,
-			     vma->vm_end - vma->vm_start,
-			     vma->vm_page_prot))
+	if (io_remap_pfn_range(vma, vma->vm_start, vma->vm_pgoff,
+			       vma->vm_end - vma->vm_start,
+			       vma->vm_page_prot))
 		return -EAGAIN;
 
 	return 0;
